Wipple CPaaS
メニュー
REST API / 通話の削除

通話の削除

DELETEhttps://{API_ENDPOINT}/v1/Accounts/{AccountSid}/Calls/{CallSid}

認証

  • Authorization ヘッダー (ベアラートークン, 必須) — Bearer <token> 形式のベアラー認証です。token にはご自身の認証トークンを指定します。

リクエスト

パスパラメータ

  • AccountSidstring必須
  • CallSidstring必須

レスポンス

204

通話が正常に削除されました

エラー

404 Not Found Error

通話が見つかりません

  • any

422 Unprocessable Entity Error

処理できないエンティティ

  • msgstring必須

500 Internal Server Error

システムエラー

  • msgstring必須

例

cURL

curl -X DELETE "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid" \
  -H "Authorization: Bearer <token>"

Python

import requests

url = "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())

JavaScript

const url = 'https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls/CallSid';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}